Subject: [netatalk-admins] Linux Netatalk printing problem

From: Mikael Jokela <[email-masked]>
Date: Mon, 9 Feb 1998 20:20:05 +0200 (EET)

I have a Mac workstation and a Linux box (2.0.33) with Netatalk
(1.3.3) and HP Laserjet 5MP printer. The appletalk daemon and
papd are running in Linux. I want to print to the Linux printer 
from the Mac but it doesn't work, I don't know why.

When I submit a printer job from Mac, the Mac seems to be printing
something and says: 'PS is ready and printing' (PS being the
Linux printer queue). However, Mac does nothing until I reboot it.

On the Linux side, there appeares a message it the log saying:

'papd: child 12345 for "printer name" from 12345.123'

However, nothing appeares in the printer queue and nothing comes
out.

I've tried virtually everything I can think of. I've changed
lpd binaries, printer ppd files, printer queues.. Nothing works.
Please, help me with this problem if something comes to your mind
about this. I have to get things working..

/etc/papd.conf:

# Attributes are:
#
#	Name Type Default	Description
#	pd   str  ".ppd"	Pathname to ppd file.
#	pr   str  "lp"		LPD printer name.
#	op   str  "operator"	Operator name, for LPD spooling.
#

lp:\
	:pr=lp:op=mac:pd=/hplj5p_1.ppd:
PS:\
	:pr=PS:op=mac:pd=/hplj5p_1.ppd:

Dubhe-PS:\
	:pr=PS:op=mac:pd=/t/hp_20laserjet_205mp.ppd:

/etc/printcap:

lp:\
	:sd=/var/spool/lpd/lp:\
	:mx#0:\
	:lp=/dev/lp1:\
	:sh:

PS:\
	:sd=/var/spool/lpd/PS:\
	:mx#0:\
	:lp=/dev/lp1:\
	:sh:\
        :sf:

----------------------------------------------------------------------
Mikael Jokela, [email-masked]
Ursa Astronomical Association, http://www.ursa.fi/
----------------------------------------------------------------------